Loading...
Searching...
No Matches
Callout Invocation
Globus Callout API

Invoke callouts. More...

## Typedefs

typedef globus_result_t(* | globus_callout_function_t) (va_list ap)

## Functions

globus_result_t | globus_callout_call_type (globus_callout_handle_t handle, char *type,...)

## Detailed Description

Invoke callouts.

This section defines a operation for invoking callouts by their abstract type.

## Typedef Documentation

## globus_callout_function_t

typedef globus_result_t(* globus_callout_function_t) (va_list ap)

Callout function type definition

## Function Documentation

## globus_callout_call_type()

globus_result_t globus_callout_call_type | ( | globus_callout_handle_t | handle,
|  | char * | type,
|  |  | ... )

Call a callout of specified abstract type

This function looks up the callouts corresponding to the given type and invokes them with the passed arguments. If a invoked callout returns an error it will be chained to a error of the type GLOBUS_CALLOUT_ERROR_CALLOUT_ERROR and no more callouts will be called.

Parameters

  handle | A configured callout handle
  type | The abstract type of the callout that is to be invoked

Returns
  This function returns GLOBUS_SUCCESS or a globus_result_t referring to an error object of one of the following types

Return values

  GLOBUS_CALLOUT_ERROR_TYPE_NOT_REGISTERED | Callout type not registered
  GLOBUS_CALLOUT_ERROR_CALLOUT_ERROR | Callout function error
  GLOBUS_CALLOUT_ERROR_WITH_DL | Error with dlopen or dlsym
  GLOBUS_CALLOUT_ERROR_WITH_HASHTABLE | Error caching dlopen handle
  GLOBUS_CALLOUT_ERROR_OUT_OF_MEMORY | Out of memory